import { lazy, createSignal } from "solid-js";
import { Routes, Route } from "solid-app-router";


import baseText from "../base/baseText"
const BigScreen = lazy(() => import("../pages/BigScreen/Home"))
const CommonBigScreen = lazy(() => import("../pages/CommonBigScreen/Home"))

const [BottomLi, setBottomLi] = createSignal(baseText.bottoms);

export default function localRouter() {
    // 根据路由选择tab
    setBottomLi(BottomLi().map(bot => (bot.path === location.pathname ? { ...bot, select: true } : { ...bot, select: false })));
    return <>
        <Routes>
            <Route path="/" element={<BigScreen />} />
            <Route path="/common" element={<CommonBigScreen />} />
        </Routes>
    </>
}